---
title: AuthenticatorAssertionResponse.userHandle
slug: Web/API/AuthenticatorAssertionResponse/userHandle
tags:
  - API
  - AuthenticatorAssertionResponse
  - Property
  - Reference
  - Web Authentication API
  - WebAuthn
---
<p>{{APIRef("Web Authentication API")}}{{securecontext_header}}</p>

<p>The <strong><code>userHandle</code></strong> read-only property of the {{domxref("AuthenticatorAssertionResponse")}} interface is an {{jsxref("ArrayBuffer")}} object which is an opaque identifier for the given user. Such an identifier can be used by the relying party's server to link the user account with its corresponding credentials and other data.</p>

<p>The same value may be found on the <code>id</code> property of the {{domxref("PublicKeyCredentialCreationOptions.user","options.user")}} object (used for the creation of the <code>PublicKeyCredential</code> instance).</p>

<div class="notecard note">
<p><strong>Note:</strong> An <code>AuthenticatorAssertionResponse</code> instance is available on {{domxref("PublicKeyCredential.response")}} after calling {{domxref("CredentialsContainer.get()","navigator.credentials.get()")}}.</p>
</div>

<div class="note">
<p><strong>Note:</strong> This property may only be used in top-level contexts and will not be available in an {{HTMLElement("iframe")}} for example.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>userHandle</em> = <em>authenticatorAssertionResponse</em>.userHandle</pre>

<h3 id="Value">Value</h3>

<p>An {{jsxref("ArrayBuffer")}} object which is an opaque identifier for the current user. This is not human-readable and does <strong>not</strong> contain any personally identifying information (e.g. username, e-mail, phone number, etc.)</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var options = {
  challenge: new Uint8Array(26), // will be another value, provided by the relying party server
  timeout: 60000
};

navigator.credentials.get({  publickey: options })
  .then(function (assertionPKCred) {
    var userHandle = assertionPKCred.response.userHandle;

    // Send response and client extensions to the server so that it can
    // go on with the authentication

}).catch(function (err) {
   console.error(err);
});
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('WebAuthn','#dom-authenticatorassertionresponse-userhandle','userHandle')}}</td>
   <td>{{Spec2('WebAuthn')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.AuthenticatorAssertionResponse.userHandle")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("PublicKeyCredentialCreationOptions.user")}} and its <code>id</code> property which contains the same data</li>
</ul>
